Name:           plexus-archiver
Version:        4.2.7
Release:        1
Epoch:          0
Summary:        Plexus Archiver Components
License:        Apache-2.0
URL:            http://codehaus-plexus.github.io/plexus-archiver
Source0:        https://github.com/codehaus-plexus/plexus-archiver/archive/plexus-archiver-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.tukaani:xz)
BuildRequires:  mvn(org.iq80.snappy:snappy)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-io)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.commons:commons-compress)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildArch:      noarch

Provides:       plexus-archiver-javadoc
Obsoletes:      plexus-archiver-javadoc

%description
The Plexus project provides a full software stack for creating and executing
software projects. It provides a number of pre-built components for common
tasks and toolkits such as Jetty, Velocity, Hibernate, i18n, and many more.
However, Plexus is also able to reuse your existing components written for
other IoC frameworks such as Spring, Avalon and Pico Container unmodified,
as well as allowing you to reuse your existing code inside the Plexus
Container.

Plexus comes with an application server that can run your applications, making
it trivial to build a standalone executable distribution with common features
such as service execution if needed. However, Plexus applications can be run
in any environment by embedding the container in an existing application,
including Java EE applications or web applications.


%prep
%autosetup -n %{name}-%{name}-%{version} -p1
%mvn_file :%{name} plexus/archiver


%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%{_javadocdir}/%{name}


%changelog
* Fri Jul 28 2023 yaoxin <yao_xin001@hoperun.com> - 0:4.2.7-1
- Update to 4.2.7

* Fri Jul 29 2022 liukuo <liukuo@kylinos.cn> - 0:4.2.6-2
- License compliance rectification

* Thu Dec 30 2021 yaoxin <yaoxin30@huawei.com> - 0:4.2.6-1
- Upgrade plexus-archiver to 4.2.6

* Wed Dec 4 2019 huyan <hu.huyan@huawei.com> - 0:3.6.0-3
- Package Initialization
